<div id="tests-history">
  <form [formGroup]="searchForm" class="mt-2">
    <div class="d-flex align-items-center">
      <div class="d-flex align-items-center history-filters">
        <mat-form-field
          appearance="outline"
          class="slabs-select-filter history-select-filter"
        >
          <mat-label>Date</mat-label>
          <mat-icon
            matSuffix
            color="primary"
            [ngClass]="{
              'text-disabled': searchForm.disabled
            }"
            class="material-icons-outlined"
          >
            filter_alt
          </mat-icon>
          <mat-select formControlName="date">
            <mat-option [value]="'date1'"> date 1 </mat-option>
            <mat-option [value]="'date2'"> date 2 </mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field
          appearance="outline"
          class="slabs-select-filter history-select-filter"
        >
          <mat-label>Status</mat-label>
          <mat-icon
            matSuffix
            color="primary"
            [ngClass]="{
              'text-disabled': searchForm.disabled
            }"
            class="material-icons-outlined"
          >
            filter_alt
          </mat-icon>
          <mat-select formControlName="status">
            <mat-option [value]="'Success'"> Success </mat-option>
            <mat-option [value]="'Failure'"> Failure </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </div>
  </form>

  @if (testsHistory && testsHistory.length > 0) {
    <mat-grid-list [cols]="cols$ | async" rowHeight="2:1">
      @for (testExecutionStatus of testsHistory; track testExecutionStatus) {
        <mat-grid-tile>
          <mat-card
            class="cursor-pointer"
            (click)="openTestResultSummary(testExecutionStatus)"
            (keydown)="openTestResultSummary(testExecutionStatus)"
          >
            @if (!!testExecutionStatus.testExecution) {
              <div
                class="d-flex align-items-center justify-content-between mx-1 mt-1"
              >
                <div>
                  {{
                    testExecutionStatus.testExecution.startDate
                      | date: "dd/M/yyyy HH:mm:ss" : "UTC +4"
                  }}
                </div>
                <div class="slabs-comp ec-chips-theme">
                  <mat-chip
                    highlighted
                    class="slabs-chip mx-0"
                    [color]="
                      status2ChipColor.get(
                        testExecutionStatus.testExecution.status.toUpperCase()
                      )
                    "
                  >
                    {{ testExecutionStatus.testExecution.status }}
                  </mat-chip>
                </div>
              </div>

              <div class="ml-1">
                <h2>Test #{{ testExecutionStatus.testExecution.id }}</h2>
              </div>

              <br />
              <mat-card-content class="mb-1">
                <div>
                  <b>Duration: </b>
                  {{ testExecutionStatus.elapsedTime }}
                </div>
                <div>
                  <b>Total tests: </b>
                  {{ testExecutionStatus.testExecution.totalTestsNumber }}
                </div>
                <div>
                  <b class="text-success">Passed: </b>
                  {{ testExecutionStatus.testExecution.passedTestsNumber }}
                </div>
                <div>
                  <b class="text-error">Failed: </b>
                  {{ testExecutionStatus.testExecution.failedTestsNumber }}
                </div>
              </mat-card-content>
            }
            <mat-card-footer> </mat-card-footer>
          </mat-card>
        </mat-grid-tile>
      }
    </mat-grid-list>
  } @else {
    <h4>Test history will be available here after you run a test.</h4>
  }
</div>
